### Method

# Gimp RGB to_hsl

#### Declaration [src]

    void
    gimp_rgb_to_hsl (
      const GimpRGB* rgb,
      GimpHSL* hsl
    )

#### Description [src]

Convert an RGB color value to a HSL (Hue, Saturation, Lightness) color value.

#### Parameters

`hsl` | `GimpHSL`
| The value converted to HSL.
| The argument will be set by the function.
| The data is owned by the caller of the function.